org.apache.ignite.internal.processors.igfs

## Class IgfsInvalidRangeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.ignite.IgniteCheckedException
      - - org.apache.ignite.internal.processors.igfs.IgfsInvalidRangeException

All Implemented Interfaces:
  Serializable

    public class IgfsInvalidRangeException
    extends IgniteCheckedException

Internal exception thrown when attempted to update range that is no longer present in file affinity map.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IgfsInvalidRangeException(String msg)`
`IgfsInvalidRangeException(Throwable cause)`

### Method Summary

### Methods inherited from class org.apache.ignite.IgniteCheckedException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgfsInvalidRangeException

    public IgfsInvalidRangeException(String msg)

Parameters:
  `msg` - Error message.

#### IgfsInvalidRangeException

    public IgfsInvalidRangeException(Throwable cause)

Parameters:
  `cause` - Error cause.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.3.0-incubating
Release Date | : July 10 2015